> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/fr/devolutions-cloud-powershell/disable-force-sso-on-all-users-in-devolutions-cloud-using-powershell.md).

# Désactiver Force SSO pour tous les utilisateurs dans Devolutions Cloud à l'aide de PowerShell

Désactiver la connexion Force SSO pour tous les utilisateurs dans Devolutions Cloud à l'aide d'un script PowerShell et d'une identité d’application avec Set-DCSystemSettings.

Les administrateurs de Devolutions Cloud pourraient vouloir désactiver l'option Force SSO pour tous les utilisateurs. Cela peut être fait à l'aide d'une identité d’application et d'un simple script PowerShell.

1. Dans Devolutions Cloud, [créez une identité d’application](https://docs.devolutions.net/cloud/fr/web-interface/administration/management/application-identities/manage-application-identities).
2. [Attribuez la permission ***Gérer la configuration du système***](https://docs.devolutions.net/cloud/fr/web-interface/administration/configuration-and-security/system-permissions) à l'identité d’application nouvellement créée.
3. Utilisez le script PowerShell suivant pour désactiver l'option ***Force SSO on all users*** dans Devolutions Cloud :

```
$url = 'YOUR_HUB_URL'
$appSecret = 'INSERT_APP_SECRET';
$appKey = 'INSERT_APP_KEY';
Connect-DCAccount -Url $url -ApplicationKey $appKey -ApplicationSecret $appSecret

$psSystemSettings = Get-DCSystemSettings
#Enable Devolutions user login method
$psSystemSettings.AllowDevolutionsAccountLogin = $true

#Optional - Disable SSO option
$psSystemSettings.AllowSSOLogin = $false

Set-DCSystemSettings -PSSystemSettings $psSystemSettings

Write-Host "Authentication method updated"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/fr/devolutions-cloud-powershell/disable-force-sso-on-all-users-in-devolutions-cloud-using-powershell.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
